<html>

<head>
  <title>Misumi OCI Reports</title>
  <!--Import Google Icon Font-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
  <!--Import materialize.css-->
  <!-- Compiled and minified CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <!-- Compiled and minified JavaScript -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.10/vue.min.js"></script>
  <!--Let browser know website is optimized for mobile-->
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <script src="./output.json"></script>

  <nav style="background-color: #135aaa !important">
    <div class="nav-wrapper">
      <img src="./misumi_logo.png" style="height: 50px; width: 200px; margin-left: 855px; margin-top: 10px;"></img>
      <ul class="left hide-on-med-and-down">
      </ul>
    </div>
  </nav>
</head>

<body onload="loadJson()">
  <div class="chart-container"
    style="position: relative; height:20vh; width:40vw; margin-bottom: 12vw; margin-left: 10vw">
    <canvas id="myChart"></canvas>
  </div>
  <table>
    <thead>
      <tr>
        <th>Fixture</th>
        <th>Test Name</th>
        <th>Browsers</th>
        <th>Environment</th>
        <th>Duration</th>
        <th>Result</th>
      </tr>
    </thead>

    <tbody id="example-1">
      <template v-for="(results, index) in items">

        <template v-for="(testFixture, index) in results.suites">
        <tr v-for="test in testFixture.tests">
          <td>
            <span>{{ testFixture.title }} </span>
          </td>

          <td>
            <span>{{ test.title }}
            </span></td>

          <td>
            <img id="browser" style="height: 50px;" src="https://icons.iconarchive.com/icons/franksouza183/fs/512/Apps-google-chrome-icon.png">
            </img>
            <img id="browser" style="height: 50px;" src="https://upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Firefox_logo%2C_2019.svg/1200px-Firefox_logo%2C_2019.svg.png">
          </img>
            <span v-show="'active' + index" v-bind:id="'browser-hover_' + index + 1">
              <!-- {{ env.userAgents }} -->
            </span>
          </td>

          <td>
            <img style="height: 50px;" src="https://image.similarpng.com/very-thumbnail/2021/09/Linux-icon-design-on-transparent-background-PNG.png"></img>
          </td>

          <td>
            <span>
              <a class="waves-effect waves-light btn blue">{{Math.round(test.duration / 1000)}} sec.</a>
            </span>
          </td>


          <td  >
            <div class="card red darken-1 grow" v-if="test?.err?.length">
              <span style="color: #F6092F">
                <span class=" card-content white-text">
                <p>{{ test.errs[0] | truncate(150, '...')  }}</p>
              </span>
              </span>
            </div>

            <div v-else>
              <span>
                <a class="waves-effect waves-light btn">Success</a>
              </span>
            </div>
          </td>

        </tr>
        </template>
      </template>
      </tr>

    </tbody>
  </table>
  <script>
    function loadJson() {
      // console.log('data load', data1);
      const data = JSON.parse(JSON.stringify(data1));
      const obj = data.results;
      console.log('data', obj);
      const obj2 = obj[0].suites;
      console.log('test', obj2);
      var example1 = new Vue({
        el: '#example-1',
        data: {
          items: obj,
          env: obj2
        },
        filters: {
          truncate: function (text, length, suffix) {
            return text.substring(0, length) + suffix;
          },
        }
      });

      var ctx = document.getElementById('myChart').getContext('2d');

      var myChart = new Chart(ctx, {
        type: 'doughnut',
        data: {
          labels: ['Passed', 'Failed'],
          datasets: [{
            label: 'Tests',
            data: [data.stats.passes, (data.tests - data.passes)],
            backgroundColor: [
              'rgba(54, 162, 235, 1)',
              'rgba(255, 99, 132, 1)'
            ],
            borderColor: [
              'rgba(54, 162, 235, 1)',
              'rgba(255, 99, 132, 1)'
            ],
            borderWidth: 1
          }]
        },
        options: {
          layout: {
            padding: {
              left: 50,
              right: 0,
              top: 0,
              bottom: 0
            }
          }
        }
      })

    }



  </script>
  <style>
    td,
    th {
      text-align: center;
    }

    td {
      max-width: 250px;
    }

    table {
      table-layout: fixed;
      width: unset !important;
      margin-left: 18vw;
    }

    span[id$="browser-hover_"] {
      display: none;
    }

    .text-red {
      color: red;
    }

    .grow {
      width: 400px;
    }
  </style>
</body>

</html>